commit:     cf43362ed77fe1139a6fbfa277b318ece7fb0145
Author:     Vladislav Mikhailikov <vmikhailikov <AT> gmail <DOT> com>
AuthorDate: Fri Jun 13 21:41:14 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Jun 14 19:01:44 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cf43362e

net-misc/geoipupdate: add 7.1.0

Signed-off-by: Vladislav Mikhailikov <vmikhailikov <AT> gmail.com>
Part-of: https://github.com/gentoo/gentoo/pull/42585
Closes: https://github.com/gentoo/gentoo/pull/42585
Signed-off-by: Sam James <sam <AT> gentoo.org>

 net-misc/geoipupdate/Manifest                 |  1 +
 net-misc/geoipupdate/geoipupdate-7.1.0.ebuild | 44 +++++++++++++++++++++++++++
 2 files changed, 45 insertions(+)

diff --git a/net-misc/geoipupdate/Manifest b/net-misc/geoipupdate/Manifest
index b82cc47515e6..fd9a96bde9ee 100644
--- a/net-misc/geoipupdate/Manifest
+++ b/net-misc/geoipupdate/Manifest
@@ -1,2 +1,3 @@
 DIST geoipupdate-6.1.0-deps.tar.xz 866588 BLAKE2B 
aabda8132d0f8866e3450b5c2f07dccc7b1555cac0a987fea48ffe3f07a8c66c72bb41ca1478d47f03cb61bd29a6183bd0621126222decc4e29b8525c3ba991e
 SHA512 
4a03b35258dc77659471299fe119da1e435b1360df08b0b8a19f6374e3880c1c6153fcdb5146f74900ebf540c2c66a3007228f05b702f526ed9e75e01f51f98d
 DIST geoipupdate-6.1.0.tar.gz 47557 BLAKE2B 
ef33058f8504c06dc2c2a350421866cd88a6b87624874cf6bd29d99c77637c3b99468a6ba615d71310e0c5d49d6ee2820d9a3841c1127437fa602864a014d77d
 SHA512 
b20a3101fb055ed71fe999fe924b71f6d0eb76da8bc4444f7281a3deceac1ee7d1854f3d672b93edabf152cc69551933dd951419ab484259d47f56b243e568eb
+DIST geoipupdate-7.1.0.tar.gz 53229 BLAKE2B 
6c978636c752b73ed5a2d397ed779d37a1f55cb4657a097d2f9c00c73139e70d5de2c07540a36573110b39bc64b74fc8ae29f6bf8d85b07c5353c8f3542f450b
 SHA512 
8f577e2dc6555dbc29aaff95b3aaf6144237a98ed305011c43a753b1238041b1bb1d49a7218d4820b0592f08db9fd75f142cf2035e0c0b89f04de97818d211a0

diff --git a/net-misc/geoipupdate/geoipupdate-7.1.0.ebuild 
b/net-misc/geoipupdate/geoipupdate-7.1.0.ebuild
new file mode 100644
index 000000000000..a32886bcfe6b
--- /dev/null
+++ b/net-misc/geoipupdate/geoipupdate-7.1.0.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit go-module
+
+DESCRIPTION="Performs automatic updates of GeoIP2 and GeoIP Legacy binary 
databases"
+HOMEPAGE="https://github.com/maxmind/geoipupdate";
+SRC_URI="https://github.com/maxmind/geoipupdate/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+SRC_URI+=" 
https://dev.gentoo.org/~sam/distfiles/${CATEGORY}/${PN}/${PN}-6.1.0-deps.tar.xz";
+
+LICENSE="ISC BSD BSD-2 MIT Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc64 ~s390 ~x86"
+
+DOCS=( README.md CHANGELOG.md doc/GeoIP.conf.md doc/geoipupdate.md )
+
+src_compile() {
+       # Do not let these leak from outside into the package
+       unset GOBIN GOPATH GOCODE
+
+       # requires pandoc but the information is still in the distributed md 
files
+       sed -i -e '/GeoIP.conf.5 /d' -e '/geoipupdate.1$/d' Makefile || die
+       #sed -i -e 's/go build/go build -x/' Makefile || die
+
+       # the horror, the horror ... but it's all automagic
+       export CONFFILE=/etc/GeoIP.conf
+       export DATADIR=/usr/share/GeoIP
+       export VERSION=${PV}
+
+       default
+}
+
+src_install() {
+       dobin build/geoipupdate
+
+       keepdir /usr/share/GeoIP
+
+       insinto /etc
+       doins build/GeoIP.conf
+
+       einstalldocs
+}

Reply via email to